unit dm_data;

interface

uses
  Windows, Messages, SysUtils, Classes, Forms, Dialogs, Controls,
  DB, ADODB, rDBComponents_UDB, FireDAC.Stan.Intf, FireDAC.Stan.Option,
  FireDAC.Stan.Error, FireDAC.UI.Intf, FireDAC.Phys.Intf, FireDAC.Stan.Def,
  FireDAC.Stan.Pool, FireDAC.Stan.Async, FireDAC.Phys, FireDAC.Stan.Param,
  FireDAC.DatS, FireDAC.DApt.Intf, FireDAC.DApt, FireDAC.Comp.DataSet,
  FireDAC.Comp.Client, FireDAC.Phys.ODBCBase, FireDAC.Phys.MSAcc,
  FireDAC.VCLUI.Wait, FireDAC.Comp.UI;

type
  TDMData = class(TDataModule)
    Con1: TConnectionUDB;
    qProducts: TQueryUDB;
    qCfgFldLabels: TQueryUDB;
    qCfgFldLabelsFIELD_LABEL_ID: TAutoIncField;
    qCfgFldLabelsTABLE_NAME: TWideStringField;
    qCfgFldLabelsFIELD_NAME: TWideStringField;
    qCfgFldLabelsDISPLAY_LABEL_EN: TWideStringField;
    qCfgFldLabelsDISPLAY_LABEL_CZ: TWideStringField;
    qCfgFldLabelsREQUIRED: TWordField;
    qCfgFldLabelsDISPLAY_FORMAT: TWideStringField;
    qCfgFldLabelsEDIT_FORMAT: TWideStringField;
    qCfgFldLabelsAUTO_ADDED: TWordField;
    qProductsPRODUCTID: TIntegerField;
    qProductsPRODUCTNAME: TWideStringField;
    qProductsCATEGORYID: TIntegerField;
    qProductsVALIDFROM: TSQLTimeStampField;
    qProductsDISCONTINUED: TByteField;
    qProductsPRICE: TFloatField;
    qProductsSTOCKLEVEL: TWideStringField;
    qProductsPACKAGE: TWideStringField;
    qProductsPICTURE: TBlobField;
    FDPhysMSAccessDriverLink1: TFDPhysMSAccessDriverLink;
    FDGUIxWaitCursor1: TFDGUIxWaitCursor;
    qProductsMEMO: TWideMemoField;
  private
    { Private declarations }
  public
    { Public declarations }
    function TryConnect: boolean;
  end;

var
  DMData: TDMData;

implementation

{$R *.dfm}
uses rstring, rdlg, rtool, dm_auxdata, f_products;

const
  ConStr = 'Provider=Microsoft.Jet.OLEDB.4.0;Data Source=';

function TDMData.TryConnect: boolean;
begin
  Con1.Close;
  Con1.Params.Values['Database']:=GetAppDir + 'DB\DEMO.MDB';
  Con1.Open;
  Result:=Con1.Connected;
end;

end.
