object DBrCheckBox: TDBrCheckBox
  Left = 0
  Top = 0
  Caption = 'rDBCheckBox'
  ClientHeight = 499
  ClientWidth = 784
  Color = clBtnFace
  DoubleBuffered = True
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'Tahoma'
  Font.Style = []
  OldCreateOrder = False
  ShowHint = True
  OnClose = FormClose
  OnShow = FormShow
  PixelsPerInch = 96
  TextHeight = 13
  object rHTMLLabel1: TrHTMLLabel
    Left = 212
    Top = 148
    Width = 521
    Height = 249
    CaptionStrings.Strings = (
      '<B>qProduct</B> '
      '- main dataset which can have assigned many categories'
      
        '- must contain ID field for each record (ProductID), this field ' +
        'is set as DataField of rDBCheckListBoxEx'
      
        '- if ID is autoincrement field and is not defined for new record' +
        ', '
      
        '  it is necessary to use AfterPost event of dataset and add foll' +
        'owing code:'
      
        '     if rDBCheckListBox.PostponedSaving then rDBCheckListBox.DoS' +
        'aveItemValues;'
      '<B>qCategories</B> '
      '- dataset with list of all categories'
      
        '- must contain ID field for each record (CategoryID), this field' +
        ' is set as ListKeyField of rDBCheckListBoxEx'
      
        '- can contain any list field displayed in CheckListBox, this fie' +
        'ld is set as ListDisplayField of rDBCheckListBoxEx'
      '<B>qProCatMatch</B> '
      '- dataset with assignment of categories for each product'
      '- must contain field for ID of main dataset (ProductID), '
      '  this field is set as ValuesDataKeyField of rDBCheckListBoxEx'
      '- must contain field for ID of list dataset (CategoryID), '
      '  this field is set as ValuesListKeyField of rDBCheckListBoxEx'
      
        '- this dataset can be open for all records and component use fil' +
        'ter internally or '
      
        '  user can use event OnLoadItemValues and define SQL command to ' +
        'load records '
      '  only for selected record in main dataset (according ProductID)')
  end
  object Label2: TrHTMLLabel
    Left = 0
    Top = 0
    Width = 784
    Height = 17
    Align = alTop
    Color = clInfoBk
    ParentColor = False
    Transparent = False
    CaptionStrings.Strings = (
      'Show and edit of M:N relationship with rDBCheckBox')
    InnerSpace = 2
    ExplicitWidth = 255
  end
  object gr1: TrDBGrid_MS
    Left = 0
    Top = 17
    Width = 784
    Height = 118
    Align = alTop
    DataSource = DMData.dsProducts
    DrawingStyle = gdsGradient
    TabOrder = 0
    TitleFont.Charset = DEFAULT_CHARSET
    TitleFont.Color = clWindowText
    TitleFont.Height = -11
    TitleFont.Name = 'Tahoma'
    TitleFont.Style = []
    Sorter = DMData.rDBGridSorter
    Columns = <
      item
        Expanded = False
        FieldName = 'ProductID'
        Title.Alignment = taRightJustify
        Width = 50
        Visible = True
      end
      item
        Expanded = False
        FieldName = 'ProductName'
        Width = 160
        Visible = True
      end
      item
        Expanded = False
        FieldName = 'SupplierID'
        Title.Alignment = taRightJustify
        Visible = False
      end
      item
        Expanded = False
        FieldName = 'QuantityPerUnit'
        Width = 85
        Visible = True
      end
      item
        Expanded = False
        FieldName = 'UnitPrice'
        Title.Alignment = taRightJustify
        Width = 74
        Visible = True
      end
      item
        Expanded = False
        FieldName = 'UnitsInStock'
        Title.Alignment = taRightJustify
        Width = 76
        Visible = True
      end
      item
        Expanded = False
        FieldName = 'UnitsOnOrder'
        Title.Alignment = taRightJustify
        Width = 78
        Visible = True
      end
      item
        Expanded = False
        FieldName = 'ReorderLevel'
        Title.Alignment = taRightJustify
        Width = 75
        Visible = True
      end
      item
        Expanded = False
        FieldName = 'Discontinued'
        Width = 71
        Visible = True
      end
      item
        Expanded = False
        FieldName = 'StockLevel'
        Width = 66
        Visible = True
      end>
  end
  object DBNavigator1: TDBNavigator
    Left = 0
    Top = 465
    Width = 784
    Height = 34
    DataSource = DMData.dsProducts
    Align = alBottom
    TabOrder = 1
  end
  object chbCatEx: TrDBCheckListBoxEx
    Left = 12
    Top = 152
    Width = 185
    Height = 277
    DoubleBuffered = False
    ItemHeight = 13
    ParentDoubleBuffered = False
    TabOrder = 2
    DataField = 'ProductID'
    DataSource = DMData.dsProducts
    DBEditLabel.OwnCaption = 'Categories:'
    BoundLabel.Position = lpTopRight
    FindEdit.Images = chbCatEx.SubEdit.BtnImages
    FindEdit.LeftButton.ImageIndex = 0
    FindEdit.LeftButton.Visible = True
    FindEdit.RightButton.ImageIndex = 1
    FindEdit.RightButton.Visible = True
    FindEdit.TabOrder = 3
    FindItemsStyle = fisFilter
    OnLoadItemValues = chbCatExLoadItemValues
    ListSource = DMData.dsCategories
    ListKeyField = 'CategoryID'
    ListDisplayField = 'CategoryName'
    ValuesSource = DMData.dsProdCatMatch
    ValuesDataKeyField = 'ProductID'
    ValuesListKeyField = 'CategoryId'
  end
  object rgLoadType: TRadioGroup
    Left = 216
    Top = 400
    Width = 197
    Height = 57
    Caption = 'Loading type of qProCatMatch'
    ItemIndex = 0
    Items.Strings = (
      'Internally using filter'
      'User defined event using SQL')
    TabOrder = 4
    OnClick = rgLoadTypeClick
  end
  object rgListType: TRadioGroup
    Left = 420
    Top = 400
    Width = 269
    Height = 57
    Caption = 'Checkbox List type'
    Columns = 3
    ItemIndex = 0
    Items.Strings = (
      'All items'
      'Checked first'
      'Checked only')
    TabOrder = 5
    OnClick = rgListTypeClick
  end
end
