object DMData: TDMData
  OldCreateOrder = False
  Height = 460
  Width = 707
  object DBCon: TADOConnection
    ConnectionString = 
      'Provider=Microsoft.Jet.OLEDB.4.0;Data Source=C:\Delphi\Source201' +
      '0\_Library\WebDemo\rDBComponentsFormsDemo\Data\Demo.mdb;Persist ' +
      'Security Info=False;Jet OLEDB:Database Password=test;'
    LoginPrompt = False
    Mode = cmShareDenyNone
    Provider = 'Microsoft.Jet.OLEDB.4.0'
    Left = 24
    Top = 16
  end
  object rDBGridSorter: TrDBGridSorter_ADO
    Left = 108
    Top = 16
  end
  object qEmp: TADOQuery
    Connection = DBCon
    CursorType = ctStatic
    AfterPost = qEmpAfterPost
    BeforeDelete = qEmpBeforeDelete
    AfterDelete = qEmpAfterDelete
    Parameters = <>
    SQL.Strings = (
      'SELECT * FROM Employees'
      'WHERE 1=1'
      'ORDER BY LastName')
    Left = 24
    Top = 88
    object qEmpEmployeeID: TAutoIncField
      DisplayLabel = 'Employee ID'
      FieldName = 'EmployeeID'
      ReadOnly = True
    end
    object qEmpLastName: TWideStringField
      DisplayLabel = 'Last Name'
      FieldName = 'LastName'
      Required = True
    end
    object qEmpFirstName: TWideStringField
      DisplayLabel = 'First Name'
      FieldName = 'FirstName'
      Size = 10
    end
    object qEmpTitle: TWideStringField
      FieldName = 'Title'
      Size = 30
    end
    object qEmpTitleOfCourtesy: TWideStringField
      DisplayLabel = 'Title Of Courtesy'
      FieldName = 'TitleOfCourtesy'
      Visible = False
      Size = 25
    end
    object qEmpBirthDate: TDateTimeField
      Alignment = taRightJustify
      DisplayLabel = 'Birth Date'
      FieldName = 'BirthDate'
      Required = True
      Visible = False
    end
    object qEmpHireDate: TDateTimeField
      Alignment = taRightJustify
      DisplayLabel = 'Hire Date'
      FieldName = 'HireDate'
    end
    object qEmpPartTime: TBooleanField
      DisplayLabel = 'Part Time'
      FieldName = 'PartTime'
      DisplayValues = 'Yes;No'
    end
    object qEmpSalary: TFloatField
      FieldName = 'Salary'
      OnValidate = qEmpSalaryValidate
      DisplayFormat = '#,##0.00'
      EditFormat = '0.00'
    end
    object qEmpAddress: TWideStringField
      FieldName = 'Address'
      Size = 100
    end
    object qEmpCity: TWideStringField
      FieldName = 'City'
      Size = 15
    end
    object qEmpRegion: TWideStringField
      FieldName = 'Region'
      Size = 15
    end
    object qEmpPostalCode: TWideStringField
      DisplayLabel = 'Postal Code'
      FieldName = 'PostalCode'
      Size = 10
    end
    object qEmpCountry: TWideStringField
      FieldName = 'Country'
      Size = 15
    end
    object qEmpHomePhone: TWideStringField
      DisplayLabel = 'Home Phone'
      FieldName = 'HomePhone'
      Size = 24
    end
    object qEmpExtension: TWideStringField
      FieldName = 'Extension'
      Size = 4
    end
    object qEmpPhoto: TBlobField
      FieldName = 'Photo'
      BlobType = ftGraphic
    end
    object qEmpNotes: TWideMemoField
      FieldName = 'Notes'
      BlobType = ftWideMemo
    end
    object qEmpNotesRTF: TWideMemoField
      FieldName = 'NotesRTF'
      BlobType = ftWideMemo
    end
    object qEmpReportsTo: TIntegerField
      DisplayLabel = 'Reports To'
      FieldName = 'ReportsTo'
      Visible = False
    end
    object qEmpReportsToName: TWideStringField
      FieldKind = fkLookup
      FieldName = 'ReportsToName'
      LookupDataSet = qEmpList
      LookupKeyFields = 'EmployeeID'
      LookupResultField = 'FullName'
      KeyFields = 'ReportsTo'
      Size = 50
      Lookup = True
    end
  end
  object dsEmp: TDataSource
    DataSet = qEmp
    Left = 92
    Top = 88
  end
  object qLookupProducts: TADOQuery
    Connection = DBCon
    CursorType = ctStatic
    AfterPost = qEmpAfterPost
    BeforeDelete = qEmpBeforeDelete
    AfterDelete = qEmpAfterDelete
    Parameters = <>
    SQL.Strings = (
      'SELECT * FROM Products'
      'ORDER BY ProductName')
    Left = 496
    Top = 88
    object qLookupProductsProductID: TAutoIncField
      FieldName = 'ProductID'
      ReadOnly = True
    end
    object qLookupProductsProductName: TWideStringField
      FieldName = 'ProductName'
      Size = 40
    end
    object qLookupProductsSupplierID: TIntegerField
      FieldName = 'SupplierID'
    end
    object qLookupProductsSupplier: TWideStringField
      FieldKind = fkLookup
      FieldName = 'Supplier'
      LookupDataSet = aqSuppliers
      LookupKeyFields = 'SupplierID'
      LookupResultField = 'CompanyName'
      KeyFields = 'SupplierID'
      Size = 40
      Lookup = True
    end
    object qLookupProductsCategoryID: TIntegerField
      FieldName = 'CategoryID'
    end
    object qLookupProductsCategory: TWideStringField
      FieldKind = fkLookup
      FieldName = 'Category'
      LookupDataSet = aqCategories
      LookupKeyFields = 'CategoryID'
      LookupResultField = 'CategoryName'
      KeyFields = 'CategoryID'
      Lookup = True
    end
    object qLookupProductsQuantityPerUnit: TWideStringField
      FieldName = 'QuantityPerUnit'
    end
    object qLookupProductsUnitPrice: TBCDField
      FieldName = 'UnitPrice'
      DisplayFormat = '# ##0.00'
      EditFormat = '0.00'
      Precision = 19
    end
    object qLookupProductsUnitsInStock: TSmallintField
      FieldName = 'UnitsInStock'
    end
    object qLookupProductsStockLevel: TWideStringField
      FieldName = 'StockLevel'
      Size = 5
    end
    object qLookupProductsUnitsOnOrder: TSmallintField
      FieldName = 'UnitsOnOrder'
    end
    object qLookupProductsReorderLevel: TSmallintField
      FieldName = 'ReorderLevel'
    end
    object qLookupProductsDiscontinued: TBooleanField
      FieldName = 'Discontinued'
    end
    object qLookupProductsProductColor: TWideStringField
      FieldName = 'ProductColor'
      Size = 50
    end
  end
  object dsLookupProducts: TDataSource
    DataSet = qLookupProducts
    Left = 564
    Top = 100
  end
  object aqSuppliers: TADOQuery
    Connection = DBCon
    CursorType = ctStatic
    Parameters = <>
    SQL.Strings = (
      'SELECT SupplierID, CompanyName, ContactName,City FROM Suppliers'
      'ORDER BY CompanyName')
    Left = 496
    Top = 148
    object aqSuppliersSupplierID: TAutoIncField
      FieldName = 'SupplierID'
      ReadOnly = True
    end
    object aqSuppliersCompanyName: TWideStringField
      FieldName = 'CompanyName'
      Size = 40
    end
    object aqSuppliersContactName: TWideStringField
      FieldName = 'ContactName'
      Size = 30
    end
    object aqSuppliersCity: TWideStringField
      FieldName = 'City'
      Size = 15
    end
  end
  object aqCategories: TADOQuery
    Connection = DBCon
    CursorType = ctStatic
    Parameters = <>
    SQL.Strings = (
      'SELECT CategoryID, CategoryName FROM Categories'
      'ORDER BY CategoryName')
    Left = 560
    Top = 148
    object aqCategoriesCategoryID: TAutoIncField
      FieldName = 'CategoryID'
      ReadOnly = True
    end
    object aqCategoriesCategoryName: TWideStringField
      FieldName = 'CategoryName'
      Size = 15
    end
  end
  object qCust: TADOQuery
    Connection = DBCon
    CursorType = ctStatic
    AfterPost = qEmpAfterPost
    BeforeDelete = qEmpBeforeDelete
    AfterDelete = qEmpAfterDelete
    Parameters = <>
    SQL.Strings = (
      'SELECT * FROM Customers'
      'ORDER BY CompanyName')
    Left = 180
    Top = 88
    object qCustCustomerID: TWideStringField
      DisplayLabel = 'Customer ID'
      FieldName = 'CustomerID'
      Size = 5
    end
    object qCustCompanyName: TWideStringField
      DisplayLabel = 'Company Name'
      FieldName = 'CompanyName'
      Size = 40
    end
    object qCustContactName: TWideStringField
      DisplayLabel = 'Contact Name'
      FieldName = 'ContactName'
      Size = 30
    end
    object qCustContactTitle: TWideStringField
      DisplayLabel = 'Contact Title'
      FieldName = 'ContactTitle'
      Size = 30
    end
    object qCustAddress: TWideStringField
      FieldName = 'Address'
      Size = 60
    end
    object qCustCity: TWideStringField
      FieldName = 'City'
      Size = 15
    end
    object qCustRegion: TWideStringField
      FieldName = 'Region'
      Size = 15
    end
    object qCustPostalCode: TWideStringField
      DisplayLabel = 'Postal Code'
      FieldName = 'PostalCode'
      Size = 10
    end
    object qCustCountry: TWideStringField
      FieldName = 'Country'
      Size = 15
    end
    object qCustPhone: TWideStringField
      FieldName = 'Phone'
      Size = 24
    end
    object qCustFax: TWideStringField
      FieldName = 'Fax'
      Size = 24
    end
    object qCustEmail: TWideStringField
      FieldName = 'Email'
      Size = 50
    end
    object qCustWWW: TWideStringField
      FieldName = 'WWW'
      Size = 50
    end
    object qCustActive: TWideStringField
      FieldName = 'Active'
      Size = 10
    end
  end
  object dsCust: TDataSource
    DataSet = qCust
    Left = 248
    Top = 88
  end
  object qProducts: TADOQuery
    Connection = DBCon
    CursorType = ctStatic
    AfterPost = qEmpAfterPost
    BeforeDelete = qEmpBeforeDelete
    AfterDelete = qEmpAfterDelete
    Parameters = <>
    SQL.Strings = (
      'SELECT * FROM Products'
      'ORDER BY ProductName')
    Left = 336
    Top = 88
    object qProductsProductID: TAutoIncField
      FieldName = 'ProductID'
      ReadOnly = True
    end
    object qProductsProductName: TWideStringField
      FieldName = 'ProductName'
      Size = 40
    end
    object qProductsSupplierID: TIntegerField
      FieldName = 'SupplierID'
    end
    object qProductsCategoryID: TIntegerField
      FieldName = 'CategoryID'
    end
    object qProductsQuantityPerUnit: TWideStringField
      FieldName = 'QuantityPerUnit'
    end
    object qProductsUnitPrice: TBCDField
      FieldName = 'UnitPrice'
      DisplayFormat = '# ##0.00'
      EditFormat = '0.00'
      Precision = 19
    end
    object qProductsUnitsInStock: TSmallintField
      FieldName = 'UnitsInStock'
    end
    object qProductsUnitsOnOrder: TSmallintField
      FieldName = 'UnitsOnOrder'
    end
    object qProductsReorderLevel: TSmallintField
      FieldName = 'ReorderLevel'
    end
    object qProductsDiscontinued: TBooleanField
      FieldName = 'Discontinued'
    end
    object qProductsStockLevel: TWideStringField
      FieldName = 'StockLevel'
      Size = 5
    end
    object qProductsFlag: TIntegerField
      FieldKind = fkCalculated
      FieldName = 'Flag'
      ReadOnly = True
      Calculated = True
    end
  end
  object dsProducts: TDataSource
    DataSet = qProducts
    Left = 400
    Top = 88
  end
  object qEmpAdr: TADOQuery
    Connection = DBCon
    CursorType = ctStatic
    LockType = ltReadOnly
    Parameters = <
      item
        Name = 'EmployeeID'
        Attributes = [paNullable]
        DataType = ftWideString
        NumericScale = 255
        Precision = 255
        Size = 510
        Value = Null
      end>
    SQL.Strings = (
      'SELECT Address + ", " + City AS Addr'
      'FROM Employees'
      'WHERE EmployeeID=:EmployeeID')
    Left = 24
    Top = 148
    object qEmpAdrAddr: TWideStringField
      FieldName = 'Addr'
      ReadOnly = True
      Size = 255
    end
  end
  object qEmpSum1: TADOQuery
    Connection = DBCon
    CursorType = ctStatic
    LockType = ltReadOnly
    Parameters = <>
    SQL.Strings = (
      'SELECT "Sum:" AS EmployeeID, '
      'Count(*) AS LastName,'
      'Sum(Salary) AS Salary '
      'FROM Employees')
    Left = 24
    Top = 192
    object qEmpSum1EmployeeID: TWideStringField
      DisplayLabel = 'Summary'
      FieldName = 'EmployeeID'
      ReadOnly = True
      Size = 255
    end
    object qEmpSum1LastName: TIntegerField
      DisplayLabel = 'Count of employees'
      FieldName = 'LastName'
    end
    object qEmpSum1Salary: TFloatField
      DisplayLabel = 'Sum of salary'
      FieldName = 'Salary'
      DisplayFormat = '# ### ##0.00'
    end
  end
  object qEmpSum2: TADOQuery
    Connection = DBCon
    CursorType = ctStatic
    LockType = ltReadOnly
    Parameters = <>
    SQL.Strings = (
      'SELECT "FullTime:" AS EmployeeID, '
      'Count(*) AS LastName,'
      'Sum(Salary) AS Salary '
      'FROM Employees'
      'WHERE not PartTime'
      ''
      'UNION ALL'
      ''
      'SELECT "PartTime:" AS EmployeeID, '
      'Count(*) AS LastName,'
      'Sum(Salary) AS Salary '
      'FROM Employees'
      'WHERE PartTime'
      ''
      'UNION ALL'
      ''
      'SELECT "All:" AS EmployeeID, '
      'Count(*) AS LastName,'
      'Sum(Salary) AS Salary '
      'FROM Employees'
      '')
    Left = 24
    Top = 236
    object qEmpSum2EmployeeID: TWideStringField
      DisplayLabel = 'Summary'
      FieldName = 'EmployeeID'
      ReadOnly = True
      Size = 255
    end
    object qEmpSum2LastName: TIntegerField
      DisplayLabel = 'Count of employees'
      FieldName = 'LastName'
      ReadOnly = True
    end
    object qEmpSum2Salary: TFloatField
      DisplayLabel = 'Sum of salary'
      FieldName = 'Salary'
      ReadOnly = True
      DisplayFormat = '# ### ##0.00'
    end
  end
  object qEmpSum3: TADOQuery
    Connection = DBCon
    CursorType = ctStatic
    LockType = ltReadOnly
    Parameters = <>
    SQL.Strings = (
      'SELECT Count(*) AS SumOfLastName, '
      'Sum(Salary) AS SumOfSalary, '
      'Sum(IIF(PartTime,1,0)) AS SumOfPartTime,'
      'Sum(IIF(Country="USA",1,0)) AS SumOfCountry,'
      'Sum(IIF(Photo is null,0,1)) AS SumOfPhoto'
      'FROM Employees')
    Left = 24
    Top = 280
    object qEmpSum3SumOfLastName: TIntegerField
      DisplayLabel = '# of emp.'
      FieldName = 'SumOfLastName'
    end
    object qEmpSum3SumOfSalary: TFloatField
      DisplayLabel = 'Sum of salary'
      FieldName = 'SumOfSalary'
      DisplayFormat = '# ### ##0.00'
    end
    object qEmpSum3SumOfPartTime: TFloatField
      DisplayLabel = '# of PT'
      FieldName = 'SumOfPartTime'
    end
    object qEmpSum3SumOfCountry: TFloatField
      DisplayLabel = '# of USA'
      FieldName = 'SumOfCountry'
    end
    object qEmpSum3SumOfPhoto: TFloatField
      DisplayLabel = '# of photos'
      FieldName = 'SumOfPhoto'
    end
  end
  object dsEmpSum3: TDataSource
    AutoEdit = False
    DataSet = qEmpSum3
    Left = 92
    Top = 280
  end
  object dsEmpSum2: TDataSource
    AutoEdit = False
    DataSet = qEmpSum2
    Left = 92
    Top = 236
  end
  object dsEmpSum1: TDataSource
    AutoEdit = False
    DataSet = qEmpSum1
    Left = 92
    Top = 192
  end
  object qCategories: TADOQuery
    Connection = DBCon
    CursorType = ctStatic
    Parameters = <>
    SQL.Strings = (
      'SELECT CategoryID,CategoryName  FROM Categories'
      'ORDER BY CategoryName')
    Left = 336
    Top = 144
    object qCategoriesCategoryID: TAutoIncField
      FieldName = 'CategoryID'
      ReadOnly = True
    end
    object qCategoriesCategoryName: TWideStringField
      FieldName = 'CategoryName'
      Size = 15
    end
  end
  object dsCategories: TDataSource
    DataSet = qCategories
    Left = 400
    Top = 144
  end
  object qProdCatMatch: TADOQuery
    Connection = DBCon
    CursorType = ctStatic
    Parameters = <>
    SQL.Strings = (
      'SELECT * FROM ProductCategoriesMatch'
      'WHERE 1=1'
      'ORDER BY ID')
    Left = 336
    Top = 188
    object qProdCatMatchProductID: TIntegerField
      FieldName = 'ProductID'
    end
    object qProdCatMatchCategoryID: TIntegerField
      FieldName = 'CategoryID'
    end
  end
  object dsProdCatMatch: TDataSource
    DataSet = qProdCatMatch
    Left = 400
    Top = 188
  end
  object qEmpList: TADOQuery
    Connection = DBCon
    CursorType = ctStatic
    Parameters = <>
    SQL.Strings = (
      
        'SELECT EmployeeID, LastName & '#39' '#39' & FirstName AS FullName, Title' +
        ' FROM Employees'
      'ORDER BY LastName')
    Left = 24
    Top = 340
    object qEmpListEmployeeID: TAutoIncField
      DisplayWidth = 5
      FieldName = 'EmployeeID'
      ReadOnly = True
    end
    object qEmpListFullName: TWideStringField
      DisplayWidth = 25
      FieldName = 'FullName'
      ReadOnly = True
      Size = 100
    end
    object qEmpListTitle: TWideStringField
      FieldName = 'Title'
      Size = 30
    end
  end
  object dsEmpList: TDataSource
    DataSet = qEmpList
    Left = 92
    Top = 340
  end
  object qTitleList: TADOQuery
    Connection = DBCon
    CursorType = ctStatic
    Parameters = <>
    SQL.Strings = (
      'SELECT DISTINCT Title FROM Employees'
      'ORDER BY Title ')
    Left = 24
    Top = 392
    object qTitleListTitle: TWideStringField
      FieldName = 'Title'
      Size = 30
    end
  end
  object qTitleCList: TADOQuery
    Connection = DBCon
    CursorType = ctStatic
    Parameters = <>
    SQL.Strings = (
      'SELECT DISTINCT TitleOfCourtesy FROM Employees'
      'ORDER BY TitleOfCourtesy ')
    Left = 92
    Top = 392
    object qTitleCListTitleOfCourtesy: TWideStringField
      FieldName = 'TitleOfCourtesy'
      Size = 25
    end
  end
  object qValDef: TADOQuery
    Connection = DBCon
    CursorType = ctStatic
    Parameters = <>
    SQL.Strings = (
      'SELECT * FROM ValuesDef'
      'ORDER BY ValueID')
    Left = 340
    Top = 292
    object qValDefValueID: TIntegerField
      FieldName = 'ValueID'
    end
    object qValDefValueName: TWideStringField
      DisplayLabel = 'Value Name'
      FieldName = 'ValueName'
      Size = 50
    end
    object qValDefValueUnit: TWideStringField
      DisplayLabel = 'Value Unit'
      FieldName = 'ValueUnit'
    end
  end
  object dsValDef: TDataSource
    DataSet = qValDef
    Left = 408
    Top = 292
  end
  object qMatValues: TADOQuery
    Connection = DBCon
    CursorType = ctStatic
    Parameters = <>
    SQL.Strings = (
      'SELECT * FROM MaterialValues'
      'ORDER BY ID')
    Left = 340
    Top = 344
    object qMatValuesID: TAutoIncField
      FieldName = 'ID'
      ReadOnly = True
    end
    object qMatValuesMaterialID: TIntegerField
      FieldName = 'MaterialID'
    end
    object qMatValuesValueID: TIntegerField
      FieldName = 'ValueID'
    end
    object qMatValuesNote: TWideStringField
      FieldName = 'Note'
      Size = 50
    end
    object qMatValuesNumValue: TFloatField
      FieldName = 'NumValue'
    end
  end
  object qTemperatures: TADOQuery
    Connection = DBCon
    CursorType = ctStatic
    Parameters = <>
    SQL.Strings = (
      'SELECT * FROM Temperatures'
      'ORDER BY Temperature')
    Left = 496
    Top = 292
    object qTemperaturesTemperature: TIntegerField
      FieldName = 'Temperature'
    end
  end
  object qTempValues: TADOQuery
    Connection = DBCon
    CursorType = ctStatic
    Parameters = <>
    SQL.Strings = (
      'SELECT * FROM TemperatureValues'
      'ORDER BY ID')
    Left = 496
    Top = 344
    object qTempValuesID: TAutoIncField
      FieldName = 'ID'
      ReadOnly = True
    end
    object qTempValuesMaterialID: TIntegerField
      FieldName = 'MaterialID'
    end
    object qTempValuesValueID: TIntegerField
      FieldName = 'ValueID'
    end
    object qTempValuesTemperature: TIntegerField
      FieldName = 'Temperature'
    end
    object qTempValuesNumValue: TFloatField
      FieldName = 'NumValue'
    end
  end
  object qOrders: TADOTable
    Connection = DBCon
    CursorType = ctStatic
    LockType = ltReadOnly
    IndexFieldNames = 'CustomerID'
    MasterFields = 'CustomerID'
    MasterSource = dsCust
    TableName = 'Orders'
    Left = 180
    Top = 148
    object qOrdersOrderID: TIntegerField
      FieldName = 'OrderID'
    end
    object qOrdersCustomerID: TWideStringField
      FieldName = 'CustomerID'
      Size = 5
    end
    object qOrdersEmployeeID: TIntegerField
      FieldName = 'EmployeeID'
    end
    object qOrdersOrderDate: TDateTimeField
      FieldName = 'OrderDate'
    end
    object qOrdersRequiredDate: TDateTimeField
      FieldName = 'RequiredDate'
    end
    object qOrdersShippedDate: TDateTimeField
      FieldName = 'ShippedDate'
    end
    object qOrdersShipVia: TIntegerField
      FieldName = 'ShipVia'
    end
    object qOrdersFreight: TBCDField
      FieldName = 'Freight'
      Precision = 19
    end
    object qOrdersShipName: TWideStringField
      FieldName = 'ShipName'
      Size = 40
    end
    object qOrdersShipAddress: TWideStringField
      FieldName = 'ShipAddress'
      Size = 60
    end
    object qOrdersShipCity: TWideStringField
      FieldName = 'ShipCity'
      Size = 15
    end
    object qOrdersShipRegion: TWideStringField
      FieldName = 'ShipRegion'
      Size = 15
    end
    object qOrdersShipPostalCode: TWideStringField
      FieldName = 'ShipPostalCode'
      Size = 10
    end
    object qOrdersShipCountry: TWideStringField
      FieldName = 'ShipCountry'
      Size = 15
    end
  end
  object dsOrders: TDataSource
    DataSet = qOrders
    Left = 248
    Top = 148
  end
  object qOrderDetails: TADOTable
    Connection = DBCon
    CursorType = ctStatic
    IndexFieldNames = 'OrderID'
    MasterFields = 'OrderID'
    MasterSource = dsOrders
    TableName = 'qOrderDetails'
    Left = 180
    Top = 192
    object qOrderDetailsOrderDetailID: TAutoIncField
      FieldName = 'OrderDetailID'
      ReadOnly = True
    end
    object qOrderDetailsOrderID: TIntegerField
      FieldName = 'OrderID'
    end
    object qOrderDetailsProductID: TIntegerField
      FieldName = 'ProductID'
    end
    object qOrderDetailsProductName: TWideStringField
      FieldName = 'ProductName'
      Size = 40
    end
    object qOrderDetailsUnitPrice: TBCDField
      FieldName = 'UnitPrice'
      DisplayFormat = '0.00'
      Precision = 19
    end
    object qOrderDetailsQuantity: TSmallintField
      FieldName = 'Quantity'
      DisplayFormat = '0.00'
    end
    object qOrderDetailsDiscount: TFloatField
      FieldName = 'Discount'
      DisplayFormat = '0.00'
    end
    object qOrderDetailsPrice: TFloatField
      FieldName = 'Price'
      ReadOnly = True
      DisplayFormat = '0.00'
    end
  end
  object dsOrderDetails: TDataSource
    DataSet = qOrderDetails
    Left = 248
    Top = 192
  end
  object qTreeData: TADOQuery
    Connection = DBCon
    CursorType = ctStatic
    Parameters = <>
    SQL.Strings = (
      'SELECT * FROM TreeData'
      'WHERE 1=1'
      'ORDER BY ID')
    Left = 496
    Top = 224
    object qTreeDataID: TAutoIncField
      FieldName = 'ID'
      ReadOnly = True
    end
    object qTreeDataParentID: TIntegerField
      FieldName = 'ParentID'
    end
    object qTreeDataNodeCode: TWideStringField
      FieldName = 'NodeCode'
    end
    object qTreeDataNodeName: TWideStringField
      FieldName = 'NodeName'
      Size = 50
    end
    object qTreeDataSomeText1: TWideStringField
      FieldName = 'SomeText1'
      Size = 50
    end
    object qTreeDataSomeNumber1: TIntegerField
      FieldName = 'SomeNumber1'
    end
    object qTreeDataSomeDate1: TDateTimeField
      FieldName = 'SomeDate1'
    end
  end
  object dsTreeData: TDataSource
    DataSet = qTreeData
    Left = 564
    Top = 224
  end
end
