object rDBTreeViewTest: TrDBTreeViewTest
  Left = 254
  Top = 164
  BorderIcons = [biSystemMenu, biMaximize]
  Caption = 'rDBTreeViewTest'
  ClientHeight = 525
  ClientWidth = 848
  Color = clBtnFace
  Constraints.MinHeight = 400
  Constraints.MinWidth = 570
  DoubleBuffered = True
  Font.Charset = EASTEUROPE_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'Tahoma'
  Font.Style = []
  OldCreateOrder = False
  ShowHint = True
  OnClose = FormClose
  OnShow = FormShow
  PixelsPerInch = 96
  TextHeight = 13
  object lblInfo1: TrHTMLLabel
    Left = 0
    Top = 0
    Width = 848
    Height = 45
    Align = alTop
    Color = clInfoBk
    ParentColor = False
    ShowAccelChar = False
    Transparent = False
    CaptionStrings.Strings = (
      
        'rDBTreeView is database version of standard TreeView component w' +
        'hich provides  function for loading datasets values to tree stru' +
        'cture.'
      
        'It provides editing and drag & drop functions, data is loaded on' +
        ' start for all items or later for each item after expand or only' +
        ' for active record.'
      
        'Data structure and all settings for each item are defined by <B>' +
        'DataItemDef property</B>.')
    InnerSpace = 2
    ExplicitWidth = 687
  end
  object pc: TPageControl
    Left = 0
    Top = 45
    Width = 400
    Height = 480
    ActivePage = TabSheet3
    Align = alLeft
    TabOrder = 0
    object TabSheet3: TTabSheet
      Caption = 'Master Detail'
      ImageIndex = 2
      object grOrder: TrDBGrid
        Tag = 768
        Left = 0
        Top = 137
        Width = 191
        Height = 315
        Align = alClient
        DataSource = DMData.dsOrders
        DrawingStyle = gdsGradient
        Options = [dgTitles, dgIndicator, dgColumnResize, dgColLines, dgTabs, dgAlwaysShowSelection, dgConfirmDelete, dgCancelOnExit, dgTitleClick]
        TabOrder = 0
        TitleFont.Charset = EASTEUROPE_CHARSET
        TitleFont.Color = clWindowText
        TitleFont.Height = -11
        TitleFont.Name = 'Tahoma'
        TitleFont.Style = []
        OnDblClick = grOrderDblClick
        OptionsEx2.Editors.BoolOneClickChange = True
        OptionsEx2.Editors.TextAsMemoSize = 50
        OptionsEx2.Editors.AutoPickListWidth = False
        OptionsEx2.Appearance.DrawRowFocus = True
        PropSaveFile = Main.PSFile
        TextAsMemoSize = 50
        TitleLineText.ParentFont = False
        TitleLineText.Font.Charset = DEFAULT_CHARSET
        TitleLineText.Font.Color = clWindowText
        TitleLineText.Font.Height = -11
        TitleLineText.Font.Name = 'MS Sans Serif'
        TitleLineText.Font.Style = [fsBold]
        TitleLineText.TextAlign = taCenter
        FieldsAsLink.Strings = (
          'link=user_defined'
          'WWW=http://')
        TitleImageList = Main.GridImg
        TitleImages.Strings = (
          'BirthDate=2'
          'HireDate=2'
          'Address=1'
          'LastName=0'
          'Salary=9')
        DataImageList = Main.GridImg
        Columns = <
          item
            Expanded = False
            FieldName = 'CustomerID'
            Visible = True
          end
          item
            Expanded = False
            FieldName = 'OrderID'
            Title.Alignment = taRightJustify
            Width = 50
            Visible = True
          end
          item
            ButtonStyle = cbsEllipsis
            Expanded = False
            FieldName = 'OrderDate'
            Width = 64
            Visible = True
          end
          item
            ButtonStyle = cbsEllipsis
            Expanded = False
            FieldName = 'RequiredDate'
            Width = 72
            Visible = True
          end
          item
            ButtonStyle = cbsEllipsis
            Expanded = False
            FieldName = 'ShippedDate'
            Width = 64
            Visible = True
          end
          item
            Expanded = False
            FieldName = 'ShipVia'
            Title.Alignment = taRightJustify
            Width = 50
            Visible = True
          end
          item
            Expanded = False
            FieldName = 'Freight'
            Title.Alignment = taRightJustify
            Width = 80
            Visible = True
          end
          item
            Expanded = False
            FieldName = 'ShipName'
            Width = 160
            Visible = True
          end
          item
            Expanded = False
            FieldName = 'ShipAddress'
            Width = 200
            Visible = True
          end
          item
            Expanded = False
            FieldName = 'ShipCity'
            Width = 60
            Visible = True
          end
          item
            Expanded = False
            FieldName = 'ShipRegion'
            Width = 60
            Visible = True
          end
          item
            Expanded = False
            FieldName = 'ShipPostalCode'
            Width = 50
            Visible = True
          end
          item
            Expanded = False
            FieldName = 'ShipCountry'
            Width = 60
            Visible = True
          end>
      end
      object grCustList: TrDBGrid
        Tag = 768
        Left = 0
        Top = 0
        Width = 392
        Height = 137
        Align = alTop
        DataSource = DMData.dsCust
        DrawingStyle = gdsGradient
        Options = [dgTitles, dgIndicator, dgColumnResize, dgColLines, dgTabs, dgAlwaysShowSelection, dgConfirmDelete, dgCancelOnExit, dgTitleClick]
        TabOrder = 1
        TitleFont.Charset = EASTEUROPE_CHARSET
        TitleFont.Color = clWindowText
        TitleFont.Height = -11
        TitleFont.Name = 'Tahoma'
        TitleFont.Style = []
        OptionsEx2.Editors.BoolOneClickChange = True
        OptionsEx2.Editors.TextAsMemoSize = 50
        OptionsEx2.Editors.AutoPickListWidth = False
        OptionsEx2.Appearance.DrawRowFocus = True
        PropSaveFile = Main.PSFile
        Sorter = DMData.rDBGridSorter
        TextAsMemoSize = 50
        TitleLineText.ParentFont = False
        TitleLineText.Font.Charset = DEFAULT_CHARSET
        TitleLineText.Font.Color = clWindowText
        TitleLineText.Font.Height = -11
        TitleLineText.Font.Name = 'MS Sans Serif'
        TitleLineText.Font.Style = [fsBold]
        TitleLineText.TextAlign = taCenter
        FieldsAsLink.Strings = (
          'link=user_defined'
          'WWW=http://')
        TitleImageList = Main.GridImg
        TitleImages.Strings = (
          'BirthDate=2'
          'HireDate=2'
          'Address=1'
          'LastName=0'
          'Salary=9')
        DataImageList = Main.GridImg
        Columns = <
          item
            Expanded = False
            FieldName = 'CustomerID'
            Width = 82
            Visible = True
          end
          item
            Expanded = False
            FieldName = 'CompanyName'
            Width = 160
            Visible = True
          end
          item
            Expanded = False
            FieldName = 'ContactName'
            Width = 120
            Visible = True
          end
          item
            Expanded = False
            FieldName = 'ContactTitle'
            Width = 120
            Visible = True
          end
          item
            Expanded = False
            FieldName = 'Address'
            Width = 200
            Visible = True
          end
          item
            Expanded = False
            FieldName = 'City'
            Width = 60
            Visible = True
          end
          item
            Expanded = False
            FieldName = 'Region'
            Width = 60
            Visible = True
          end
          item
            Expanded = False
            FieldName = 'PostalCode'
            Width = 50
            Visible = True
          end
          item
            Expanded = False
            FieldName = 'Country'
            Width = 60
            Visible = True
          end
          item
            Expanded = False
            FieldName = 'Phone'
            Width = 96
            Visible = True
          end
          item
            Expanded = False
            FieldName = 'Fax'
            Width = 96
            Visible = True
          end
          item
            Expanded = False
            FieldName = 'Email'
            Width = 200
            Visible = True
          end
          item
            Expanded = False
            FieldName = 'WWW'
            Width = 200
            Visible = True
          end
          item
            Expanded = False
            FieldName = 'Active'
            Width = 50
            Visible = True
          end>
      end
      object grItems: TrDBGrid
        Tag = 768
        Left = 191
        Top = 137
        Width = 201
        Height = 315
        Align = alRight
        DataSource = DMData.dsOrderDetails
        DrawingStyle = gdsGradient
        Options = [dgTitles, dgIndicator, dgColumnResize, dgColLines, dgTabs, dgAlwaysShowSelection, dgConfirmDelete, dgCancelOnExit, dgTitleClick]
        TabOrder = 2
        TitleFont.Charset = EASTEUROPE_CHARSET
        TitleFont.Color = clWindowText
        TitleFont.Height = -11
        TitleFont.Name = 'Tahoma'
        TitleFont.Style = []
        OptionsEx2.Editors.BoolOneClickChange = True
        OptionsEx2.Editors.TextAsMemoSize = 50
        OptionsEx2.Editors.AutoPickListWidth = False
        OptionsEx2.Appearance.DrawRowFocus = True
        PropSaveFile = Main.PSFile
        TextAsMemoSize = 50
        TitleLineText.ParentFont = False
        TitleLineText.Font.Charset = DEFAULT_CHARSET
        TitleLineText.Font.Color = clWindowText
        TitleLineText.Font.Height = -11
        TitleLineText.Font.Name = 'MS Sans Serif'
        TitleLineText.Font.Style = [fsBold]
        TitleLineText.TextAlign = taCenter
        FieldsAsLink.Strings = (
          'link=user_defined'
          'WWW=http://')
        TitleImageList = Main.GridImg
        TitleImages.Strings = (
          'BirthDate=2'
          'HireDate=2'
          'Address=1'
          'LastName=0'
          'Salary=9')
        DataImageList = Main.GridImg
        Columns = <
          item
            Expanded = False
            FieldName = 'OrderDetailID'
            Title.Alignment = taRightJustify
            Visible = False
          end
          item
            Expanded = False
            FieldName = 'OrderID'
            Title.Alignment = taRightJustify
            Visible = True
          end
          item
            Expanded = False
            FieldName = 'ProductID'
            Title.Alignment = taRightJustify
            Visible = False
          end
          item
            Expanded = False
            FieldName = 'ProductName'
            Width = 102
            Visible = True
          end
          item
            Expanded = False
            FieldName = 'UnitPrice'
            Title.Alignment = taRightJustify
            Width = 61
            Visible = True
          end
          item
            Expanded = False
            FieldName = 'Quantity'
            Title.Alignment = taRightJustify
            Width = 50
            Visible = True
          end
          item
            Expanded = False
            FieldName = 'Discount'
            Title.Alignment = taRightJustify
            Width = 45
            Visible = True
          end
          item
            Expanded = False
            FieldName = 'Price'
            Title.Alignment = taRightJustify
            Width = 50
            Visible = True
          end>
      end
    end
  end
  object pc2: TPageControl
    Left = 400
    Top = 45
    Width = 448
    Height = 480
    ActivePage = ts1
    Align = alClient
    TabOrder = 1
    OnChange = pc2Change
    object ts1: TTabSheet
      Caption = 'rDBTreeView for all records'
      ImageIndex = 2
      object lblInfo2: TrHTMLLabel
        Left = 0
        Top = 0
        Width = 440
        Height = 56
        Align = alTop
        Color = clInfoBk
        ParentColor = False
        ShowAccelChar = False
        Transparent = False
        CaptionStrings.Strings = (
          'Load manually on start (MasterDatasource=nil)'
          'Load only first level - fast loading (LoadFirstLevelOnly=true)'
          'CanEditText=true for first level (CompanyName)'
          
            'Drag&Drop Options for Orders and Order items (DragMode=dmAutomat' +
            'ic)')
        InnerSpace = 2
        ExplicitWidth = 360
      end
      object rDBTreeViewAllRec: TrDBTreeView
        Left = 0
        Top = 56
        Width = 440
        Height = 320
        Align = alClient
        DoubleBuffered = True
        DragMode = dmAutomatic
        HideSelection = False
        Images = Main.GridImg
        Indent = 19
        ParentDoubleBuffered = False
        TabOrder = 0
        OnChange = rDBTreeViewAllRecChange
        Items.NodeData = {
          03030000005E0000000A0000000A0000000A000000FFFFFFFF0A000000000000
          000000000001204C0069007300740020006F006600200061006C006C00200063
          006F006D00700061006E00690065007300200061006E00640020006F00720064
          0065007200730052000000090000000900000009000000FFFFFFFF0900000000
          00000000000000011A43006F006D00700061006E00790020003D003E0020004F
          007200640065007200730020003D003E0020004900740065006D0073003C0000
          00010000000100000001000000FFFFFFFF010000000000000001000000010F3C
          003C0043006F006D00700061006E0079004E0061006D0065003E003E006E0000
          00020000000200000002000000FFFFFFFF02000000000000000100000001284F
          00720064006500720020006E006F002E0020003C003C004F0072006400650072
          00490044003E003E002000660072006F006D0020003C003C004F007200640065
          00720044006100740065003E003E00820000000F0000000F0000000F000000FF
          FFFFFF0F000000000000000000000001323C003C00500072006F006400750063
          0074004E0061006D0065003E003E0020002D00200020003C003C005100750061
          006E0074006900740079003E003E0020007000630073002E0020002C00200024
          0020003C003C00500072006900630065003E003E00}
        DataItemDefs = <
          item
            SubDataItemDefs = <>
            TitleText = 'List of all companies and orders'
            TitleImageIndex = 10
            TitleBkColor = 16113353
            TitleFontColor = clNavy
            TitleStyle = [fsBold]
            FillLeftBorder = 18
            FillRightBorder = 5
          end
          item
            SubDataItemDefs = <
              item
                SubDataItemDefs = <
                  item
                    SubDataItemDefs = <>
                    DataSource = DMData.dsOrderDetails
                    KeyFieldName = 'OrderDetailID'
                    EmptyDatasetText = 'no items'
                    TitleStyle = [fsItalic]
                    RecordTextMask = '<<ProductName>> -  <<Quantity>> pcs. , $ <<Price>>'
                    RecordImageIndex = 15
                    RecordChangedFontColor = clRed
                    DragDropMode = [dnoSameLevel, dnoMoveItem]
                  end>
                DataSource = DMData.dsOrders
                KeyFieldName = 'OrderID'
                EmptyDatasetText = 'no orders'
                ExpandNode = False
                TitleStyle = [fsBold]
                RecordTextMask = 'Order no. <<OrderID>> from <<OrderDate>>'
                RecordImageIndex = 2
                RecordChangedFontColor = clRed
                DragDropMode = [dnoSameLevel, dnoMoveItem]
              end>
            DataSource = DMData.dsCust
            KeyFieldName = 'CustomerID'
            ExpandNode = False
            TitleText = 'Company => Orders => Items'
            TitleImageIndex = 9
            TitleStyle = [fsBold, fsUnderline, fsStrikeOut]
            RecordTextMask = '<<CompanyName>>'
            RecordImageIndex = 1
            RecordChangedFontColor = clRed
            FillLeftBorder = 18
            FillRightBorder = 5
            CanEditText = True
          end>
        LoadFirstLevelOnly = True
        OnItemMoved = rDBTreeViewAllRecItemMoved
      end
      object Panel2: TPanel
        Left = 0
        Top = 376
        Width = 440
        Height = 76
        Align = alBottom
        TabOrder = 1
        object lblInfo: TrHTMLLabel
          Left = 108
          Top = 12
          Width = 20
          Height = 13
          Caption = 'Info'
        end
        object btSave: TButton
          Left = 4
          Top = 8
          Width = 97
          Height = 25
          Caption = 'Save changes'
          TabOrder = 0
          OnClick = btSaveClick
        end
        object btCancel: TButton
          Left = 4
          Top = 36
          Width = 97
          Height = 25
          Caption = 'Cancel / Reload'
          TabOrder = 1
          OnClick = btCancelClick
        end
      end
    end
    object ts2: TTabSheet
      Caption = 'rDBTreeView for selected record'
      ImageIndex = 1
      object lblInfo3: TrHTMLLabel
        Left = 0
        Top = 0
        Width = 440
        Height = 43
        Align = alTop
        Color = clInfoBk
        ParentColor = False
        ShowAccelChar = False
        Transparent = False
        CaptionStrings.Strings = (
          
            'Load automatically on Datasource scroll (MasterDatasource=dsCust' +
            'omer) '
          'but with delay (LoadDataDelay=100) to speed up dataset scrolling'
          'Load and expand all items. No edit (ReadOnly=true), no Drag&Drop')
        InnerSpace = 2
        ExplicitWidth = 360
      end
      object Panel1: TPanel
        Left = 0
        Top = 404
        Width = 440
        Height = 48
        Align = alBottom
        TabOrder = 0
        object btPrint: TButton
          Left = 4
          Top = 9
          Width = 75
          Height = 25
          Caption = 'Print'
          TabOrder = 0
          OnClick = btPrintClick
        end
        object btPrintDirect: TButton
          Left = 88
          Top = 9
          Width = 75
          Height = 25
          Caption = 'PrintDirect'
          TabOrder = 1
          OnClick = btPrintDirectClick
        end
      end
      object rDBTreeViewOneRec: TrDBTreeView
        Left = 0
        Top = 43
        Width = 440
        Height = 361
        Align = alClient
        DoubleBuffered = True
        HideSelection = False
        Images = Main.GridImg
        Indent = 19
        ParentDoubleBuffered = False
        ReadOnly = True
        TabOrder = 1
        Items.NodeData = {
          030500000034000000090000000900000009000000FFFFFFFF09000000000000
          0000000000010B4F00720064006500720020006C006900730074003A003C0000
          00010000000100000001000000FFFFFFFF010000000000000000000000010F3C
          003C0043006F006D00700061006E0079004E0061006D0065003E003E004E0000
          00000000000000000000000000FFFFFFFF000000000000000000000000011843
          006F006E0074006100630074003A0020003C003C0043006F006E007400610063
          0074004E0061006D0065003E003E0034000000090000000900000009000000FF
          FFFFFF090000000000000000000000010B4F00720064006500720020006C0069
          00730074003A006E000000020000000200000002000000FFFFFFFF0200000000
          0000000100000001284F00720064006500720020006E006F002E0020003C003C
          004F007200640065007200490044003E003E002000660072006F006D0020003C
          003C004F00720064006500720044006100740065003E003E007E0000000F0000
          000F0000000F000000FFFFFFFF0F000000000000000000000001303C003C0050
          0072006F0064007500630074004E0061006D0065003E003E0020002D0020003C
          003C005100750061006E0074006900740079003E003E00200070006300730020
          002D002000240020003C003C00500072006900630065003E003E00}
        MasterDataSource = DMData.dsCust
        DataItemDefs = <
          item
            SubDataItemDefs = <>
            DataSource = DMData.dsCust
            KeyFieldName = 'CustomerID'
            ListAllRecords = False
            TitleStyle = [fsBold]
            RecordTextMask = '<<CompanyName>>'
            RecordImageIndex = 1
            RecordStyle = [fsBold]
          end
          item
            SubDataItemDefs = <>
            DataSource = DMData.dsCust
            KeyFieldName = 'CustomerID'
            ListAllRecords = False
            RecordTextMask = 'Contact: <<ContactName>>'
            RecordImageIndex = 0
          end
          item
            SubDataItemDefs = <
              item
                SubDataItemDefs = <>
                DataSource = DMData.dsOrderDetails
                KeyFieldName = 'OrderDetailID'
                RecordTextMask = '<<ProductName>> - <<Quantity>> pcs - $ <<Price>>'
                RecordImageIndex = 15
              end>
            DataSource = DMData.dsOrders
            KeyFieldName = 'OrderID'
            EmptyDatasetText = 'no order found'
            TitleText = 'Order list:'
            TitleImageIndex = 9
            TitleBkColor = 15263976
            TitleStyle = [fsUnderline]
            RecordTextMask = 'Order no. <<OrderID>> from <<OrderDate>>'
            RecordImageIndex = 2
            RecordFontColor = clNavy
            RecordStyle = [fsBold]
            FillLeftBorder = 20
            FillRightBorder = 5
          end>
        LoadDataDelay = 150
      end
    end
    object tc3: TTabSheet
      Caption = 'Multilevel'
      ImageIndex = 2
      object rDBTreeViewML: TrDBTreeView
        Left = 0
        Top = 0
        Width = 440
        Height = 452
        Align = alClient
        Indent = 19
        TabOrder = 0
        OnCustomDrawItem = rDBTreeViewMLCustomDrawItem
        Items.NodeData = {
          030200000044000000FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF000000
          000000000001134D0075006C00740069006C006500760065006C002000540072
          0065006500560069006500770074000000FFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
          FFFFFFFFFF0000000000000000012B3C003C004E006F006400650043006F0064
          0065003E003E0020002D0020003C003C004E006F00640065004E0061006D0065
          003E003E0020002D0020003C003C0053006F006D006500540065007800740031
          003E003E00}
        DataItemDefs = <
          item
            SubDataItemDefs = <>
            TitleText = 'Multilevel TreeView'
            TitleBkColor = clSilver
            TitleStyle = [fsUnderline]
          end
          item
            SubDataItemDefs = <>
            DataSource = DMData.dsTreeData
            KeyFieldName = 'ID'
            ParentKeyFieldName = 'ParentID'
            MultilevelMode = True
            MultilevelTopLevelFilter = 'ParentID=null'
            RecordTextMask = '<<NodeCode>> - <<NodeName>> - <<SomeText1>>'
          end>
      end
    end
  end
  object PropSaveMain1: TPropSaveMain
    PropSaveFile = Main.PSFile
    CtrlPosition.PropSaveMain = PropSaveMain1
    StdCtrl.PropSaveMain = PropSaveMain1
    Left = 40
    Top = 276
  end
  object rDBGridsPropSave1: TrDBGridsPropSave
    PropSaveMain = PropSaveMain1
    StoreColumnsProp = True
    Left = 72
    Top = 276
  end
end
