unit f_cfgfieldlabels;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, DB, Grids, DBGrids, rDBGrid, rImprovedComps, rDBComponents,
  rDBComponents_UDB, rDBGrid_MS, PropSaveMain, PropSaveGrids;

type
  TCfgFieldLabels = class(TForm)
    gbBottom: TrGroupBox;
    rDBMoveButton6: TrDBMoveButton;
    rDBMoveButton5: TrDBMoveButton;
    rDBMoveButton3: TrDBMoveButton;
    rDBMoveButton4: TrDBMoveButton;
    btBack: TrDBMoveButton;
    grFieldLabels: TrDBGrid_MSUDB;
    PropSaveMain1: TPropSaveMain;
    rDBGridsPropSave1: TrDBGridsPropSave;
    rDBGridSorter_UDB1: TrDBGridSorter_UDB;
    procedure grFieldLabelsListDataSetEvent(DataSet: TDataSet;
      EventType: TDatasetEventType);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
    NeedReload: boolean;
  public
    { Public declarations }
  end;

var
  CfgFieldLabels: TCfgFieldLabels;

function ShowFieldsLabel: boolean;

implementation

{$R *.dfm}

uses rtool, rdlg, rstring, rdbtool, dm_data, dm_auxdata;

function ShowFieldsLabel: boolean;
var
  ds: TDataSet;
begin
  CreateF(TCfgFieldLabels, CfgFieldLabels);
  ds:=CfgFieldLabels.grFieldLabels.ListDataSet;
  if not ds.Active then
    ds.Open;
  CfgFieldLabels.ShowModal;
  Result:=CfgFieldLabels.NeedReload;
end;

procedure TCfgFieldLabels.FormShow(Sender: TObject);
begin
  NeedReload:=false;
  // use rGroupBox proc to link all rDBMoveButtons to internal dataset
  AuxData.SetAllChildrenDataSource(gbBottom, self.grFieldLabels.ListDataSource, 1);
end;

procedure TCfgFieldLabels.grFieldLabelsListDataSetEvent(DataSet: TDataSet;
  EventType: TDatasetEventType);
begin
  case EventType of
    deAfterPost, deAfterDelete:
      NeedReload:=true;
    deBeforeDelete:
      if DlgQ(rstring.sDeleteQ) <> mrYes then
        Abort;
  end;
end;

end.
